SDL_GetTextInputArea(3)

NAME
SDL_GetTextInputArea - Get the area used to type Unicode text input.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

bool SDL_GetTextInputArea(SDL_Window *window, SDL_Rect *rect, int *cursor);

DESCRIPTION
This returns the values previously set by SDL_SetTextInputArea().

FUNCTION PARAMETERS

window
    the window for which to query the text input area.

rect
    a pointer to an SDL_Rect filled in with the text input area, may be NULL.

cursor
    a pointer to the offset of the current cursor location relative to rect->x, may be NULL.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetTextInputArea(3)